<!-- This is the actor-sheet-merchant.html file for ARS -->
<!-- It defines the HTML structure for the Merchant ActorSheet -->

{{log "merchant-sheet.hbs" this}}
<div class="merchant">
    <form class="ars-actor-sheet-merchant" autocomplete="off">

        {{!-- awesome :)) --}}
        <div class="outlined-text"
            style="background: url('systems/ars/assets/system/shop-header.webp') no-repeat center center;">
            <header class="sheet-header">
                <img class="npc-profile-img" src="{{actor.img}}" data-edit="img" data-tooltip="{{actor.name}}"
                    height="64" width="64" />
                <h1>{{actor.name}}</h1>
            </header>

            {{#if isGM}}
                <div class="flexrow merchant-info">
                    <div class="merchant-information">Merchant Information</div>
                    <div class="form-group">
                        <label
                            data-tooltip="When selling to player the percent markup or reduction (negative number)">Sell
                            Markup</label>
                        <div>{{actor.system.markup.sell}}</div>
                    </div>
                    <div class="form-group">
                        <label
                            data-tooltip="When buying from player, the percent markup or reduction (negative number)">Buy
                            Markup</label>
                        <div>{{actor.system.markup.buy}}</div>
                    </div>
                </div>
            {{/if}}
        </div>

        <nav class="sheet-tabs" data-group="primary">
            <div class="tabs flexrow">

                <a class="tab-item" data-tab="buy" data-tooltip="{{ localize "ARS.tabs.buy" }}">
                    <i class="fas fa-cart-arrow-down"></i>
                </a>

                <a class="tab-item" data-tab="sell" data-tooltip="{{ localize "ARS.tabs.sell" }}">
                    <i class="fa-solid fa-coins"></i>
                </a>

                {{#if isGM}}
                    <a class="tab-item" data-tab="details" data-tooltip="{{ localize "ARS.tabs.details" }}">
                        <i class="fa fa-gears"></i>
                    </a>
                {{/if}}
            </div>
        </nav>

        <section class="sheet-body">

            <div class="tab buy" data-group="primary" data-tab="buy">
                <div class="items merchant-items">
                    <h2>Items for Sale to {{customer.name}}</h2>
                    <div class="item-list">
                        {{#each items as |entry index|}}
                            {{#if entry.canSell}}
                                <li class="item flexrow" data-item-id="{{entry.item.id}}"
                                    data-item-uuid="{{entry.item.uuid}}">
                                    <div class="item-image">
                                        <img src="{{entry.item.img}}" data-tooltip="{{entry.item.name}}" />
                                    </div>
                                    <div class="item-sellable rollable">
                                        {{entry.item.name}}
                                    </div>
                                    <div style="margin:auto;">
                                        {{entry.cost}} {{entry.item.system.cost.currency}}
                                    </div>
                                    {{#if @root.isGM}}
                                        <div class="item-quantity-control medium-field">
                                            {{entry.item.system.quantity}}
                                        </div>
                                    {{/if}}
                                    <div style="margin:auto;" class="merchant-controls"><a data-tooltip="Buy"
                                            class="item-buy"><i class="fa-solid fa-coins"></i></a>{{#if @root.isGM}}
                                            <a data-tooltip="Take" class="item-take"><i
                                                    class="fas fa-hand-paper"></i></a>
                                            <a data-tooltip="Remove" class="item-remove"><i
                                                    class="fas fa-trash"></i></a>{{/if}}
                                    </div>
                                </li>
                            {{/if}}
                        {{/each}}
                    </div>
                </div>
            </div>


            <div class="tab sell" data-group="primary" data-tab="sell">
                <div class="player-items">
                    <h2>Sell Your Items on {{customer.name}}</h2>
                    <div class="item-list">

                        {{#each playerItems as |entry index|}}
                            {{#if entry.canSell}}
                                <li class="item flexrow" data-item-id="{{entry.item.id}}"
                                    data-item-uuid="{{entry.item.uuid}}">
                                    <div class="item-image">
                                        <img src="{{entry.item.img}}" data-tooltip="{{entry.item.name}}" />
                                    </div>
                                    <div class="item-sellable rollable">
                                        {{entry.item.name}}
                                    </div>
                                    <div style="margin:auto;">
                                        {{entry.cost}} {{entry.item.system.cost.currency}}
                                    </div>
                                    {{#if @root.isGM}}
                                        <div class="item-quantity-control medium-field">
                                            {{entry.item.system.quantity}}
                                        </div>
                                    {{/if}}
                                    <div style="margin:auto;" class="merchant-controls"><a data-tooltip="Sell"
                                            class="item-sell"><i class="fa-solid fa-coins"></i></a>
                                        {{!-- {{#if @root.isGM}}
                                            <a data-tooltip="Take" class="item-take"><i
                                                    class="fas fa-hand-paper"></i></a>
                                            <a data-tooltip="Remove" class="item-remove"><i
                                                    class="fas fa-trash"></i></a>
                                        {{/if}} --}}
                                    </div>
                                </li>
                            {{/if}}
                        {{/each}}
                    </div>
                </div>
            </div>

            {{!-- configuration tab --}}
            <div class="tab details" data-group="primary" data-tab="details">
                <div>
                    <div class="npc-header-fields">
                        <div class="general-header">{{localize 'ARS.name'}}</div>
                        <input class="actorname" name="name" type="text" value="{{actor.name}}" placeholder="Name" />
                    </div>
                    <div class="flexrow">
                        <div class="general-header">Merchant Information</div>
                    </div>
                    <div class="flexrow">
                        <div>
                            <label
                                data-tooltip="When selling to player the percent markup or reduction (negative number)">Sell
                                Markup</label>
                            <input type="number" name="system.markup.sell" class="set-sell-markup"
                                value="{{actor.system.markup.sell}}" step="10" />
                        </div>
                        <div>
                            <label
                                data-tooltip="When buying from player, the percent markup or reduction (negative number)">Buy
                                Markup</label>
                            <input type="number" name="system.markup.buy" class="set-buy-markup"
                                value="{{actor.system.markup.buy}}" step="10" />
                        </div>
                    </div>
                    <div class="flexrow">
                        <div class="market-cansell-label">{{localize "ARS.market.canSell"}}</div>
                        <div><input type="checkbox" name="system.market.canSell"
                                {{ checked actor.system.market.canSell }} />
                        </div>
                        <div class="market-cansell-label">{{localize "ARS.market.canBuy"}}</div>
                        <div><input type="checkbox" name="system.market.canBuy"
                                {{ checked actor.system.market.canBuy }} />
                        </div>
                    </div>
                </div>
            </div>
        </section>

    </form>
    <div style="padding: 5px;"> </div>
</div>